<ion-header >
    <ion-navbar class="dawn-bar">
      <button ion-button menuToggle>
        <ion-icon name="menu"></ion-icon>
      </button>
      <ion-title>Add a new address</ion-title>
    </ion-navbar> 
  </ion-header>


<ion-content>
        <form [formGroup]="myForm" (ngSubmit)="submit()" >
  <ion-grid class="location-button">
      <ion-row>
          <ion-col>
              <button (click)="getAddress()"><ion-icon name="ios-send"></ion-icon> Use my current location</button>
          </ion-col>
      </ion-row>
  </ion-grid>


  <ion-grid class="location-from">

       
      <ion-row>
          <ion-col>
              <ion-item class="border-none">
                  <ion-label >Address1<span>*</span></ion-label>
              </ion-item>
              <ion-item>
                  <ion-input  required formControlName='Address1' [(ngModel)]="subLocality"  type="text"  placeholder="Address1"></ion-input>
              </ion-item>
              <div *ngIf="Address1.invalid && isSubmitted" style="color: red; padding-left: 16px;"> Address1 is required!</div>
              <ion-item class="border-none">
                  <ion-label>Address2<span>*</span></ion-label>
              </ion-item>
              <ion-item>
                  <ion-input required formControlName='Address2' [(ngModel)]="subLocality1"  placeholder="Address2"></ion-input>
              </ion-item>
              <div *ngIf="Address2.invalid && isSubmitted" style="color: red; padding-left: 16px;"> Address2 is required!</div>
              <ion-item class="border-none">
                  <ion-label>City<span>*</span></ion-label>
              </ion-item>
              <ion-item>
                  <ion-input   required formControlName='City' [(ngModel)]="locality" placeholder="City"></ion-input>
              </ion-item>
              <div *ngIf="City.invalid && isSubmitted" style="color: red; padding-left: 16px;"> City is required!</div>
              <ion-item class="border-none">
                  <ion-label>Postcode<span>*</span></ion-label>
              </ion-item>
              <ion-item>
                  <ion-input  required  type="text" formControlName='postcode'  [(ngModel)]= "postcode1"  placeholder="Postcode"></ion-input>
              </ion-item>
              <div *ngIf="postcode.invalid && isSubmitted" style="color: red"> Postcode is required!</div>
              <div *ngIf="postcode.dirty && postcode.invalid" style="color: red"> Invalid postcode!</div>
          
          </ion-col>
      </ion-row>
  </ion-grid>



  <ion-grid class="location-from-two">
      <ion-row>
          <ion-col>
              <ion-item class="border-none">
                  <ion-label>Name<span>*</span></ion-label>
              </ion-item>
              <ion-item>
                  <ion-input  required formControlName='name'   [(ngModel)]="Name"  type="text"  placeholder="Name"></ion-input>
              </ion-item>
              <div *ngIf="name.invalid && isSubmitted" style="color: red; padding-left: 16px;"> Name is required!</div>
              <ion-item class="border-none">
                  <ion-label>Mobile Number<span>*</span></ion-label>
              </ion-item>
              <ion-item>
                  <ion-input  required type="number" formControlName='contact'    [(ngModel)]="Contact" placeholder="Mobile Number"></ion-input>
              </ion-item>
              <div *ngIf="contact.invalid && isSubmitted" style="color: red; padding-left: 16px;"> Contact is required!</div>
              <div *ngIf="contact.dirty && contact.invalid" style="color: red; padding-left: 16px;"> Invalid contact number!</div>

              <ion-item class="border-none">
                  <ion-label class="mobile-number">Additional Mobile Number <span>(Optional)</span></ion-label>
              </ion-item>
              <ion-item class="last-input">
                  <ion-input type="number"  formControlName='contact1'  [(ngModel)]="Contact1"  placeholder="Mobile Number"></ion-input>
              </ion-item>
              <div *ngIf="contact1.dirty && contact1.invalid" style="color: red; padding-left: 16px;"> Invalid contact number!</div>
          </ion-col>

          <ion-col class="button-save">
             <!-- <button  type="submit" (click)="submit()" >SAVE</button>-->

              <button class="done" >SAVE</button>
          </ion-col>
      </ion-row>
   
  </ion-grid>
</form>
</ion-content>
